import { LitElement } from 'lit';
import type { Bindings } from '../atomic-search-interface/interfaces';
import type { InitializableComponent } from '../../../decorators/types';
declare const AtomicResultNumber_base: import("../../../mixins/mixin-common").Constructor<{
    injectStyles(dynamicStyles?: import("lit").CSSResultGroup): Promise<void>;
}> & typeof LitElement;
/**
 * The `atomic-result-number` component renders the value of a numeric result field.
 * You can embed an `atomic-format-number`, `atomic-format-currency`, or `atomic-format-unit` component inside this component to format its value.
 */
export declare class AtomicResultNumber extends AtomicResultNumber_base implements InitializableComponent<Bindings> {
    private static readonly propsSchema;
    /**
     * The name of the numeric result field whose value to display.
     * The component looks for this field in the `Result` object, then in `Result.raw` if not found.
     * This field must be present in the `fieldsToInclude` property of the `atomic-search-interface` component.
     */
    field: string;
    bindings: Bindings;
    error: Error;
    private formatter;
    private resultContext;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    initialize(): void;
    render(): import("lit-html").TemplateResult<1>;
    private handleNumberFormat;
    private parseValue;
    private formatValue;
    private getValueToDisplay;
    private get result();
}
declare global {
    interface HTMLElementTagNameMap {
        'atomic-result-number': AtomicResultNumber;
    }
}
export {};
